Get AIS Details
curl --request GET \
--url https://production.deepvue.tech/v1/verification/itr/get-ais-details \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/itr/get-ais-details"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/itr/get-ais-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/itr/get-ais-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/itr/get-ais-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/itr/get-ais-details")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/itr/get-ais-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1771592310679,
"transaction_id": "808f86a8-d792-ca72-8823-99c5c27dd6ad",
"sub_code": "SUCCESS",
"message": "AIS details fetched successfully.",
"data": {
"itr_client_id": "itr_qkgtvIwLcuooWhtrFFbK",
"pan_no": "EGDPK2567K",
"ais_file": "https://aadhaar-kyc-docs.s3.amazonaws.com/itr/...",
"file_type": "json",
"status": "completed",
"financial_year": "2020-21"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": null,
"transaction_id": "string",
"sub_code": "FETCH_FAILED",
"message": "Unable to fetch AIS details."
}{
"code": 500,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SOURCE_FAILURE",
"message": "Source failure. Unable to process the request."
}ITR
GET AIS Details
This endpoint fetches the AIS details directly in the API response along with a secure link to the JSON file. It provides real-time access to the individual’s financial and personal information for the chosen financial year, making it easy to review or use immediately within your application.
GET
/
v1
/
verification
/
itr
/
get-ais-details
Get AIS Details
curl --request GET \
--url https://production.deepvue.tech/v1/verification/itr/get-ais-details \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/itr/get-ais-details"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/itr/get-ais-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/itr/get-ais-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/itr/get-ais-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/itr/get-ais-details")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/itr/get-ais-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1771592310679,
"transaction_id": "808f86a8-d792-ca72-8823-99c5c27dd6ad",
"sub_code": "SUCCESS",
"message": "AIS details fetched successfully.",
"data": {
"itr_client_id": "itr_qkgtvIwLcuooWhtrFFbK",
"pan_no": "EGDPK2567K",
"ais_file": "https://aadhaar-kyc-docs.s3.amazonaws.com/itr/...",
"file_type": "json",
"status": "completed",
"financial_year": "2020-21"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": null,
"transaction_id": "string",
"sub_code": "FETCH_FAILED",
"message": "Unable to fetch AIS details."
}{
"code": 500,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SOURCE_FAILURE",
"message": "Source failure. Unable to process the request."
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The unique identifier of the client for whom AIS details are being requested.
Financial year for which AIS details are required (e.g., 2020-21).